package com.idiot.operationbackend.service.impl;



import com.idiot.operationbackend.entity.Account;
import com.idiot.operationbackend.entity.FansMsg;
import com.idiot.operationbackend.handler.WeChatMessageFactory;
import com.idiot.operationbackend.service.facade.AccountService;
import com.idiot.operationbackend.service.facade.FansMsgService;
import com.idiot.operationbackend.service.facade.WeChatMessageService;
import com.idiot.operationbackend.support.Constants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 文本消息
 * @author wang xiao
 * @date Created in 14:29 2020/6/18
 */
@Service
public class TextMessageServiceImpl implements WeChatMessageService {

    @Autowired
    private FansMsgService fansMsgService;

    @Autowired
    private AccountService accountService;


    @Override
    public String processMessage(Map<String, String> param) {
        String appId = param.get("appId");
        Account account =  accountService.queryByAppId(appId);
        String content = param.get("Content");
        String msgId = param.get("MsgId");
        String fromUserName = param.get("FromUserName");
        String createTime = param.get("CreateTime");
        FansMsg fansMsg = new FansMsg();
        fansMsg.setAccountId(appId);
        fansMsg.setCreateTime(Long.parseLong(createTime));
        fansMsg.setAccountId(account.getId());
        fansMsg.setContent(content);
        fansMsg.setFromUserName(fromUserName);
        fansMsg.setMsgId(msgId);
        fansMsg.setMsgType("text");
        fansMsgService.save(fansMsg);
        return Constants.SUCCESS;
    }



    @Override
    public void afterPropertiesSet() throws Exception {
        WeChatMessageFactory.addService("text",this);
    }
}
